/****************************************************************************************************

		Matrix33Fwd.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Pierre-Sylvain
		Date:	5/4/2006

****************************************************************************************************/

#ifndef __Matrix33Fwd__
#define __Matrix33Fwd__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCBasicTypes.h"

// forward decl

template<class T> class TMatrix33Template;


// typedef

typedef TMatrix33Template<real32>	TMatrix33;
typedef TMatrix33Template<real32>	TMatrix33f;
typedef TMatrix33Template<real64>	TMatrix33d;


#endif
